<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'property',

    /*
     * Modules.
     */
    'modules'   => ['property_type', 
'property'],

    'property_type'       => [
        'model' => [
            'model'                 => \Litecms\Property\Models\PropertyType::class,
            'table'                 => 'property_types',
            'presenter'             => \Litecms\Property\Repositories\Presenter\PropertyTypePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['type_id',  'type_name'],
            'translatables'         => [],
            'upload_folder'         => 'property/property_type',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Property',
            'module'    => 'PropertyType',
        ],

    ],

    'property'       => [
        'model' => [
            'model'                 => \Litecms\Property\Models\Property::class,
            'table'                 => 'properties',
            'presenter'             => \Litecms\Property\Repositories\Presenter\PropertyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'district_id',  'city_id',  'type_id',  'description',  'property_for',  'area',  'bedrooms',  'bathrooms',  'build_at',  'price',  'images',  'status',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'property/property',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Property',
            'module'    => 'Property',
        ],

    ],
];
