<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Property',
    'names'         => 'Properties',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Properties',
        'sub'   => 'Properties',
        'list'  => 'List of properties',
        'edit'  => 'Edit property',
        'create'    => 'Create new property'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'property_for'        => ['rent','sale'],
            'status'              => ['show','hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'title'                      => 'Please enter title',
        'district_id'                => 'Please enter district id',
        'city_id'                    => 'Please enter city id',
        'type_id'                    => 'Please enter type id',
        'description'                => 'Please enter description',
        'property_for'               => 'Please select property for',
        'area'                       => 'Please enter area',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'build_at'                   => 'Please select build at',
        'price'                      => 'Please enter price',
        'images'                     => 'Please enter images',
        'status'                     => 'Please select status',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'title'                      => 'Title',
        'district_id'                => 'District id',
        'city_id'                    => 'City id',
        'type_id'                    => 'Type id',
        'description'                => 'Description',
        'property_for'               => 'Property for',
        'area'                       => 'Area',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'build_at'                   => 'Build at',
        'price'                      => 'Price',
        'images'                     => 'Images',
        'status'                     => 'Status',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
        'district_id'                => ['name' => 'District id', 'data-column' => 2, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 3, 'checked'],
        'type_id'                    => ['name' => 'Type id', 'data-column' => 4, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 5, 'checked'],
        'property_for'               => ['name' => 'Property for', 'data-column' => 6, 'checked'],
        'area'                       => ['name' => 'Area', 'data-column' => 7, 'checked'],
        'bedrooms'                   => ['name' => 'Bedrooms', 'data-column' => 8, 'checked'],
        'bathrooms'                  => ['name' => 'Bathrooms', 'data-column' => 9, 'checked'],
        'build_at'                   => ['name' => 'Build at', 'data-column' => 10, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 11, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 12, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 13, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Properties',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
