<?php

namespace Litecms\Property\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Property\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'id'                => $property->id,
            'title'             => $property->title,
            'district_id'       => $property->district_id,
            'city_id'           => $property->city_id,
            'type_id'           => $property->type_id,
            'description'       => $property->description,
            'property_for'      => $property->property_for,
            'area'              => $property->area,
            'bedrooms'          => $property->bedrooms,
            'bathrooms'         => $property->bathrooms,
            'build_at'          => $property->build_at,
            'price'             => $property->price,
            'images'            => $property->images,
            'status'            => $property->status,
            'slug'              => $property->slug,
            'created_at'        => $property->created_at,
            'updated_at'        => $property->updated_at,
            'deleted_at'        => $property->deleted_at,
            'url'               => [
                'public'    => trans_url('property/'.$property->getPublicKey()),
                'user'      => guard_url('property/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}